> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook events by reward operation ID

> Retrieve a list of webhook events by its reward operation ID.



## OpenAPI

````yaml api-reference/payment-acceptance/payment-acceptance-api.yaml get /api/v1/webhook-events/reward-operation/{operationId}
openapi: 3.1.1
info:
  title: Coinbase Commerce API
  description: API for processing payments on the PaymentEscrow smart contract protocol.
  version: v0.0.1
servers:
  - url: https://payments.coinbase.com
security: []
tags:
  - name: Payments
    description: >-
      Endpoints focused on handling payment transactions.


      This includes operations for authorizing funds without immediate capture,
      and capturing previously authorized funds directly via the PaymentEscrow
      smart contract protocol. The endpoints help ensure secure and controlled
      payment processing, including verifying signatures, and updating payment
      statuses.
  - name: Rewards
    description: >-
      Endpoints for managing reward operations.


      These endpoints allow you to independently allocate, distribute, send, and
      deallocate rewards on previously successful payment operations.
  - name: Campaigns
    description: >-
      Endpoints for managing reward campaigns.


      Create and manage campaigns that integrate with the Flywheel smart
      contract to provide reward functionality. Campaigns allow merchants to
      define reward structures with customizable parameters including reward
      percentages and maximum limits.
  - name: coinbase.engine.operator_api.v1.OperatorApiService
paths:
  /api/v1/webhook-events/reward-operation/{operationId}:
    get:
      tags:
        - WebhookEvents
      summary: Get webhook events by reward operation ID
      description: Retrieve a list of webhook events by its reward operation ID.
      operationId: WebhooksApiService_GetWebhookEventsByRewardOperationId
      parameters:
        - schema:
            type: string
          name: operationId
          description: The unique identifier of the reward operation.
          in: path
          required: true
        - schema:
            type: integer
            format: int32
          name: limit
          description: >-
            Limit


            Maximum number of webhook events to return. Default is 10, Max is
            25.
          in: query
          required: false
        - schema:
            type: string
          name: next
          description: |-
            Next

            Next item to use for pagination.
          in: query
          required: false
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.engine.webhooks_api.v1.GetWebhookEventsByRewardOperationIdResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
      security:
        - Bearer: []
components:
  schemas:
    coinbase.engine.webhooks_api.v1.GetWebhookEventsByRewardOperationIdResponse:
      type: object
      properties:
        webhookEvents:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.engine.webhooks_api.v1.WebhookEvent'
            type: object
          description: List of webhook events.
          title: WebhookEvents
        pagination:
          $ref: >-
            #/components/schemas/coinbase.engine.webhooks_api.v1.PaginationResponse
          description: Pagination information for the response.
          title: Pagination
      description: Response to get a list of webhook events by its reward operation ID.
      title: GetWebhookEventsByRewardOperationIdResponse
      required:
        - webhookEvents
        - pagination
      examples:
        - webhookEvents:
            - entity: webhook_event
              id: wh_123456789
              operationId: op_123456789
              status: WEBHOOK_EVENT_STATUS_DELIVERED
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
            type: object
    coinbase.engine.webhooks_api.v1.WebhookEvent:
      type: object
      properties:
        entity:
          type: string
        id:
          type: string
        eventType:
          $ref: '#/components/schemas/coinbase.engine.webhooks_api.v1.EventType'
        operationType:
          $ref: '#/components/schemas/coinbase.engine.webhooks_api.v1.OperationType'
        paymentOperation:
          $ref: >-
            #/components/schemas/coinbase.engine.operator_api.v1.PaymentOperation
        rewardOperation:
          $ref: '#/components/schemas/coinbase.engine.operator_api.v1.RewardOperation'
        webhook:
          $ref: '#/components/schemas/coinbase.engine.webhooks_api.v1.Webhook'
        source:
          $ref: '#/components/schemas/coinbase.engine.webhooks_api.v1.WebhookSource'
        attempts:
          type: integer
          format: int32
        maxRetries:
          type: integer
          format: int32
        apiVersion:
          type: string
        createdAt:
          type: string
          format: date-time
        deliveredAt:
          type: string
          format: date-time
        metadata:
          type: object
      description: Webhook event payload details.
      title: WebhookEvent
      examples:
        - entity: webhook-event
          id: wh_event_123456789
          eventType: EVENT_TYPE_PAYMENT_AUTHORIZED
          operationType: OPERATION_TYPE_PAYMENT
          paymentOperation:
            entity: payment-operation
          webhook:
            entity: webhook
          source: WEBHOOK_SOURCE_OPERATOR
          attempts: 0
          maxRetries: 5
          apiVersion: v1
          createdAt: '2023-01-01T00:00:00.000Z'
          deliveredAt: '2023-01-01T00:00:00.000Z'
    coinbase.engine.webhooks_api.v1.PaginationResponse:
      type: object
      properties:
        limit:
          type: integer
          format: int32
          description: Number of items per page in this response.
          title: Limit
          examples:
            - 10
        next:
          type: string
          description: Next item to use for pagination.
          title: Next Item
          examples:
            - wh_event_123456789
      description: Pagination details for list responses.
      title: PaginationResponse
      required:
        - limit
        - next
      examples:
        - limit: 10
          next: wh_event_123456789
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    coinbase.engine.webhooks_api.v1.EventType:
      type: string
      enum:
        - EVENT_TYPE_PAYMENT_AUTHORIZED
        - EVENT_TYPE_PAYMENT_CAPTURED
        - EVENT_TYPE_PAYMENT_VOIDED
        - EVENT_TYPE_PAYMENT_REFUNDED
        - EVENT_TYPE_PAYMENT_CHARGED
        - EVENT_TYPE_REWARD_ALLOCATED
        - EVENT_TYPE_REWARD_DISTRIBUTED
        - EVENT_TYPE_REWARD_DEALLOCATED
        - EVENT_TYPE_REWARD_SENT
        - EVENT_TYPE_PAYMENT_RECONCILED
      description: List of supported events.
      title: EventType
      examples:
        - EVENT_TYPE_PAYMENT_AUTHORIZED
    coinbase.engine.webhooks_api.v1.OperationType:
      type: string
      enum:
        - OPERATION_TYPE_PAYMENT
        - OPERATION_TYPE_REWARD
      description: Type of operation that triggered the webhook.
      title: OperationType
      examples:
        - OPERATION_TYPE_PAYMENT
    coinbase.engine.operator_api.v1.PaymentOperation:
      type: object
      properties:
        entity:
          type: string
          description: Entity type, e.g., 'payment-operation'.
          title: Entity
          examples:
            - payment-operation
        id:
          type: string
          description: Unique event ID.
          title: Id
          examples:
            - event123
        transactionHash:
          type: string
          description: Blockchain transaction hash.
          title: Transaction Hash
          examples:
            - 0xhash
        params:
          type: object
          additionalProperties:
            type: string
          description: Payment Operation Parameters.
          title: Params
          examples:
            - amount: '10.00'
        status:
          $ref: >-
            #/components/schemas/coinbase.engine.operator_api.v1.PaymentOperationStatus
          description: Payment Operation status.
          title: Status
          examples:
            - PAYMENT_OPERATION_STATUS_SUCCEEDED
        action:
          $ref: >-
            #/components/schemas/coinbase.engine.operator_api.v1.PaymentOperationAction
          description: Type of action (e.g., PAYMENT_OPERATION_ACTION_AUTHORIZE).
          title: Action
          examples:
            - PAYMENT_OPERATION_ACTION_AUTHORIZE
        createdAt:
          type: string
          format: date-time
          description: Event creation timestamp.
          title: Created At
          examples:
            - '2021-05-03T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: Event update timestamp.
          title: Updated At
          examples:
            - '2021-05-03T00:30:00.000Z'
        payment:
          $ref: '#/components/schemas/coinbase.engine.operator_api.v1.Payment'
          description: Detailed payment object.
          title: Payment
          examples:
            - id: payment123
        output:
          type: string
          description: Output of the payment operation.
          title: Output
          examples:
            - 0xoutput
        error:
          type: string
          description: Error of the payment operation.
          title: Error
          examples:
            - an unknown error occurred
        errorCode:
          type: string
          description: Error code of the payment operation.
          title: Error Code
          examples:
            - Error
        revertReason:
          type: string
          description: Blockchain revert reason of the payment operation.
          title: Blockchain Revert Reason
          examples:
            - 0xrevert
        blockNumber:
          type: string
          format: int64
          description: Block number of the payment operation.
          title: Block Number
          examples:
            - '123'
        metadata:
          type: object
          description: Additional metadata as a free-form object.
          title: Metadata
          examples:
            - key: value
      description: >-
        Event details related to a payment including transaction hash, status,
        and associated payment information.
      title: PaymentOperation
      required:
        - entity
        - id
        - transactionHash
        - params
        - status
        - action
        - createdAt
        - updatedAt
        - payment
      examples:
        - entity: payment-operation
          id: event123
          transactionHash: 0xhash
          amount: '50.00'
          status: SUCCEEDED
          eventType: AUTHORIZED
          createdAt: '2021-05-03T00:00:00.000Z'
          updatedAt: '2021-05-03T00:30:00.000Z'
          payment:
            id: payment123
    coinbase.engine.operator_api.v1.RewardOperation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the reward operation.
          title: Reward Operation ID
          examples:
            - ro-789012
        reward:
          $ref: '#/components/schemas/coinbase.engine.operator_api.v1.Reward'
          description: Detailed reward object associated with this operation.
          title: Reward
          examples:
            - id: rw-123456
        action:
          $ref: >-
            #/components/schemas/coinbase.engine.operator_api.v1.RewardOperationAction
          description: Type of reward operation (e.g., REWARD_OPERATION_ACTION_DISTRIBUTE).
          title: Action
          examples:
            - REWARD_OPERATION_ACTION_DISTRIBUTE
        amount:
          type: string
          description: Amount involved in this reward operation.
          title: Amount
          examples:
            - '100.00'
        status:
          $ref: >-
            #/components/schemas/coinbase.engine.operator_api.v1.RewardOperationStatus
          description: Current status of the reward operation.
          title: Status
          examples:
            - REWARD_OPERATION_STATUS_SUCCEEDED
        transactionHash:
          type: string
          description: Blockchain transaction hash for this reward operation.
          title: Transaction Hash
          examples:
            - '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef'
        error:
          type: string
          description: Error message if the reward operation failed.
          title: Error
          examples:
            - insufficient funds in campaign
        errorCode:
          type: string
          description: Error code of the reward operation.
          title: Error Code
          examples:
            - Error
        revertReason:
          type: string
          description: Blockchain revert reason of the reward operation.
          title: Blockchain Revert Reason
          examples:
            - 0xrevert
        blockNumber:
          type: string
          format: int64
          description: Block number of the reward operation.
          title: Block Number
          examples:
            - '123'
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the reward operation was created.
          title: Created At
          examples:
            - '2024-03-20T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the reward operation was last updated.
          title: Updated At
          examples:
            - '2024-03-20T00:30:00.000Z'
      description: >-
        Operation details related to a reward including transaction hash,
        status, and associated reward information.
      title: RewardOperation
      required:
        - id
        - action
        - status
        - createdAt
        - updatedAt
      examples:
        - id: ro-789012
          rewardId: rw-123456
          action: REWARD_OPERATION_ACTION_DISTRIBUTE
          amount: '100.00'
          status: REWARD_OPERATION_STATUS_SUCCEEDED
          transactionHash: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef'
          error: null
          errorCode: null
          revertReason: null
          blockNumber: 123
          createdAt: '2024-03-20T00:00:00.000Z'
          updatedAt: '2024-03-20T00:30:00.000Z'
          reward:
            id: rw-123456
    coinbase.engine.webhooks_api.v1.Webhook:
      type: object
      properties:
        entity:
          type: string
          description: Type of the entity, always "webhook".
          title: Entity
          examples:
            - webhook
        id:
          type: string
          description: Unique identifier for the webhook.
          title: ID
          examples:
            - wh_123456789
        operatorCoinbaseUserId:
          type: string
          description: Coinbase user ID of the operator this webhook belongs to.
          title: Operator Coinbase User ID
          examples:
            - f521747f-6fc8-4a1d-a765-625dcc86c0db
        identifier:
          type: string
          description: External identifier for clients.
          title: Identifier
          examples:
            - client-webhook-1
        description:
          type: string
          description: Human-readable description of the webhook's purpose.
          title: Description
          examples:
            - Payment notifications for order processing
        url:
          type: string
          description: The URL where webhook events will be sent.
          title: URL
          examples:
            - https://example.com/webhooks
        events:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.engine.webhooks_api.v1.EventType'
          description: Types of events this webhook should receive.
          title: Events
          examples:
            - - EVENT_TYPE_PAYMENT_AUTHORIZED
              - EVENT_TYPE_PAYMENT_CAPTURED
              - EVENT_TYPE_PAYMENT_VOIDED
              - EVENT_TYPE_PAYMENT_REFUNDED
              - EVENT_TYPE_PAYMENT_CHARGED
              - EVENT_TYPE_REWARD_ALLOCATED
              - EVENT_TYPE_REWARD_DISTRIBUTED
              - EVENT_TYPE_REWARD_DEALLOCATED
              - EVENT_TYPE_REWARD_SENT
        secret:
          type: string
          description: Secret used for webhook signature verification.
          title: Secret
          examples:
            - whsec_abcdef1234567890
        status:
          $ref: '#/components/schemas/coinbase.engine.webhooks_api.v1.WebhookStatus'
          description: Status of the webhook (active, inactive).
          title: Status
          examples:
            - WEBHOOK_STATUS_ACTIVE
        createdAt:
          type: string
          format: date-time
          description: When the webhook was created.
          title: Created At
          examples:
            - '2023-01-01T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: When the webhook was last updated.
          title: Updated At
          examples:
            - '2023-01-02T00:00:00.000Z'
      description: Webhook configuration details.
      title: Webhook
      examples:
        - entity: webhook
          id: wh_123456789
          operatorCoinbaseUserId: op_987654321
          identifier: client-webhook-1
          description: Payment notifications for order processing
          url: https://example.com/webhooks
          secret: whsec_abcdef1234567890
          events:
            - EVENT_TYPE_PAYMENT_AUTHORIZED
            - EVENT_TYPE_PAYMENT_CAPTURED
            - EVENT_TYPE_PAYMENT_VOIDED
            - EVENT_TYPE_PAYMENT_REFUNDED
            - EVENT_TYPE_PAYMENT_CHARGED
            - EVENT_TYPE_REWARD_ALLOCATED
            - EVENT_TYPE_REWARD_DISTRIBUTED
            - EVENT_TYPE_REWARD_DEALLOCATED
            - EVENT_TYPE_REWARD_SENT
          status: WEBHOOK_STATUS_ACTIVE
          createdAt: '2023-01-01T00:00:00.000Z'
          updatedAt: '2023-01-02T00:00:00.000Z'
    coinbase.engine.webhooks_api.v1.WebhookSource:
      type: string
      enum:
        - WEBHOOK_SOURCE_OPERATOR
        - WEBHOOK_SOURCE_INDEXER
      description: List of webhook sources.
      title: WebhookSource
      examples:
        - WEBHOOK_SOURCE_OPERATOR
    coinbase.engine.operator_api.v1.PaymentOperationStatus:
      type: string
      enum:
        - PAYMENT_OPERATION_STATUS_SUCCEEDED
        - PAYMENT_OPERATION_STATUS_FAILED
        - PAYMENT_OPERATION_STATUS_PENDING
      description: Status of the payment operation.
      title: PaymentOperationStatus
    coinbase.engine.operator_api.v1.PaymentOperationAction:
      type: string
      enum:
        - PAYMENT_OPERATION_ACTION_AUTHORIZE
        - PAYMENT_OPERATION_ACTION_CAPTURE
        - PAYMENT_OPERATION_ACTION_CHARGE
        - PAYMENT_OPERATION_ACTION_RECLAIM
        - PAYMENT_OPERATION_ACTION_REFUND
        - PAYMENT_OPERATION_ACTION_VOID
      description: Action to be performed on the payment.
      title: PaymentOperationAction
    coinbase.engine.operator_api.v1.Payment:
      type: object
      properties:
        entity:
          type: string
          description: Entity type, e.g., 'payment'.
          title: Entity
          examples:
            - payment
        id:
          type: string
          description: Unique payment ID.
          title: Id
          examples:
            - payment123
        maxAmount:
          type: string
          description: Max payment amount approved by the buyer.
          title: Max Amount
          examples:
            - '100.00'
        token:
          type: string
          description: Token address used.
          title: Token Address
          examples:
            - '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
        networkId:
          type: integer
          format: int32
          description: Identifier for the blockchain network.
          title: Network Id
          examples:
            - '8453'
        payer:
          type: string
          description: Payer's EVM address.
          title: Payer
          examples:
            - 0xpayer
        signature:
          type: string
          description: Digital signature of the preapproved amount signed by the buyer.
          title: Signature
          examples:
            - 0xsig
        receiver:
          type: string
          description: Receiver's EVM address.
          title: Receiver
          examples:
            - 0xreceiver
        maxFeeBps:
          type: integer
          format: int32
          description: Max fee in basis points.
          title: Max Fee Bps
          examples:
            - '50'
        minFeeBps:
          type: integer
          format: int32
          description: Min fee in basis points.
          title: Min Fee Bps
          examples:
            - '50'
        feeReceiver:
          type: string
          description: Fee recipient address.
          title: Fee Recipient
          examples:
            - '0xfee789'
        salt:
          type: string
          description: Unique salt to prevent duplicate preapproval authorizations.
          title: Salt
          examples:
            - '2334324235415445346745646'
        paymentInfoHash:
          type: string
          description: Hash of the payment info.
          title: Payment Info Hash
          examples:
            - '0x2334324235415445346745646'
        nonce:
          type: string
          description: Nonce in the Preapproval Authorization.
          title: Nonce in the Preapproval Authorization
          examples:
            - '2334324235415445346745646'
        authorizationExpiry:
          type: string
          format: int64
          description: Expiry time for the authorization.
          title: Authorization expiry
          examples:
            - '1843954582'
        preApprovalExpiry:
          type: string
          format: int64
          description: Expiry time for preapproval
          title: Pre-approval expiry
          examples:
            - '1843954582'
        refundExpiry:
          type: string
          format: int64
          description: Expiry time for refund
          title: Refund expiry
          examples:
            - '1843954582'
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp.
          title: Created At
          examples:
            - '2021-05-03T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: Last update timestamp.
          title: Updated At
          examples:
            - '2021-05-03T01:00:00.000Z'
        operator:
          type: string
          description: Operator handling the payment.
          title: Operator
          examples:
            - 0xoperator
        contractAddress:
          type: string
          description: Smart contract address of the Commerce PaymentEscrow protocol
          title: Contract Address
          examples:
            - 0xcontract
        authorizedAmount:
          type: string
          description: Authorized payment amount.
          title: Authorized Amount
          examples:
            - '50.00'
        capturedAmount:
          type: string
          description: Captured payment amount.
          title: Captured Amount
          examples:
            - '50.00'
        voidedAmount:
          type: string
          description: Voided payment amount.
          title: Voided Amount
          examples:
            - '0.00'
        refundedAmount:
          type: string
          description: Refunded payment amount.
          title: Refunded Amount
          examples:
            - '0.00'
        chargedAmount:
          type: string
          description: Charged payment amount.
          title: Charged Amount
          examples:
            - '50.00'
        merchantId:
          type: string
          description: Merchant ID.
          title: Merchant Id
          examples:
            - merchant123
      description: >-
        Payment details including identifiers, amounts, and blockchain
        transaction data.
      title: Payment
      required:
        - entity
        - id
        - maxAmount
        - token
        - networkId
        - payer
        - signature
        - receiver
        - maxFeeBps
        - minFeeBps
        - feeReceiver
        - salt
        - paymentInfoHash
        - nonce
        - authorizationExpiry
        - preApprovalExpiry
        - refundExpiry
        - createdAt
        - updatedAt
        - operator
        - contractAddress
        - authorizedAmount
        - capturedAmount
        - voidedAmount
        - refundedAmount
        - chargedAmount
        - merchantId
      examples:
        - entity: payment
          id: payment123
          maxAmount: '100.00'
          token: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
          networkId: 8453
          payer: 0xpayer
          signature: 0xsig
          receiver: 0xreceiver
          minFeeBps: 50
          maxFeeBps: 50
          feeReceiver: '0xcccccccccccccccccccccccccccccccccccccccc'
          salt: '2334324235415445346745646'
          paymentInfoHash: '2334324235415445346745646'
          nonce: '2334324235415445346745646'
          authorizationExpiry: 1843954582
          preApprovalExpiry: 0
          refundExpiry: 1843954582
          createdAt: '2024-03-20T00:00:00.000Z'
          updatedAt: '2024-03-20T00:00:00.000Z'
          operator: 0xoperator
          contractAddress: 0xcontract
          authorizedAmount: '50.00'
          capturedAmount: '50.00'
          voidedAmount: '0.00'
          refundedAmount: '0.00'
          chargedAmount: '50.00'
    coinbase.engine.operator_api.v1.Reward:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the reward.
          title: Reward ID
          examples:
            - rw-123456
        campaignAddress:
          type: string
          description: Onchain address of the campaign contract.
          title: Campaign Address
          examples:
            - '0x1234567890123456789012345678901234567890'
        paymentInfoHash:
          type: string
          description: Hash of the payment info that this reward is associated with.
          title: Payment Info Hash
          examples:
            - >-
              0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef
        recipientAddress:
          type: string
          description: Blockchain address that will receive the reward.
          title: Recipient Address
          examples:
            - '0x8078EB517712aAAdcCE9a0C5Ec04dC2DC5Ef8793'
        tokenAddress:
          type: string
          description: Address of the token contract used for the reward.
          title: Token Address
          examples:
            - '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
        chainId:
          type: integer
          format: int32
          description: The blockchain network identifier where the reward is processed.
          title: Chain ID
          examples:
            - 8453
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the reward was created.
          title: Created At
          examples:
            - '2024-03-20T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the reward was last updated.
          title: Updated At
          examples:
            - '2024-03-20T00:30:00.000Z'
      description: >-
        Reward details including campaign association, payment tracking, and
        amount states throughout the reward lifecycle.
      title: Reward
      required:
        - id
        - campaignAddress
        - paymentInfoHash
        - recipientAddress
        - tokenAddress
        - chainId
        - createdAt
        - updatedAt
      examples:
        - id: rw-123456
          campaignAddress: '0x1234567890123456789012345678901234567890'
          paymentInfoHash: '0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef'
          recipientAddress: '0x8078EB517712aAAdcCE9a0C5Ec04dC2DC5Ef8793'
          tokenAddress: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
          chainId: 8453
          createdAt: '2024-03-20T00:00:00.000Z'
          updatedAt: '2024-03-20T00:30:00.000Z'
    coinbase.engine.operator_api.v1.RewardOperationAction:
      type: string
      enum:
        - REWARD_OPERATION_ACTION_ALLOCATE
        - REWARD_OPERATION_ACTION_DEALLOCATE
        - REWARD_OPERATION_ACTION_DISTRIBUTE
        - REWARD_OPERATION_ACTION_SEND
      description: Action to be performed on the reward operation.
      title: RewardOperationAction
    coinbase.engine.operator_api.v1.RewardOperationStatus:
      type: string
      enum:
        - REWARD_OPERATION_STATUS_PENDING
        - REWARD_OPERATION_STATUS_SUCCEEDED
        - REWARD_OPERATION_STATUS_FAILED
      description: Status of the reward operation.
      title: RewardOperationStatus
    coinbase.engine.webhooks_api.v1.WebhookStatus:
      type: string
      enum:
        - WEBHOOK_STATUS_ACTIVATED
        - WEBHOOK_STATUS_DEACTIVATED
      description: Enumeration of supported webhook statuses.
      title: WebhookStatus
      examples:
        - WEBHOOK_STATUS_ACTIVATED
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Authorization header using the Bearer scheme. Learn more about JWT
        tokens in the Coinbase Developer Portal.
      name: Authorization
      in: header

````